# spec file for package scorpio23 (Version 2.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild

Summary:        A very strong chess engine using the winboard protocol
Name:           scorpio23
Version:        2.3
Release:        lp150.2.9
License: GPL-2.0
Group:          Amusements/Games/Board/Chess
URL:            http://wbec-ridderkerk.nl/html/details1/Scorpio.html
Source:         %{name}.tar.bz2
Source1:	x%{name}
Source2:	%{name}.6
Source3:	book.dat.bz2
# startup script derived from script by Oliver Korff
Source4:	%{name}.sh
Patch0:		%{name}-scorpio.ini.patch
Patch1:		%{name}-Makefile.patch
Patch2:		%{name}-eggb_path.patch
Patch3:		%{name}-disable_broken_spinlock.patch
Patch4:		%{name}-fix_storage_class.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  gcc-c++ dos2unix
AutoReqProv:    on
Recommends:	xboard

%description
Scorpio is strong chess engine. A frontend like xboard, scid or eboard is necessary to enjoy playing. 
Scorpio itself provides only a commandline client, that uses the winboard chess interfache language

Downloads at: http://wbec-ridderkerk.nl/html/details1/Scorpio.html

Authors:
		Daniel Shawul (Author of the scorpio engine)		
		Oliver Korff <ok@xynyx.de> (manual page and startup script)

This package is based on the debian packages by Oliver Korff.



%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0

mv liscense.txt license.txt
dos2unix *.txt *.ini 

%build
pushd src/
%{__make}
popd

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6/
install -m 755 src/scorpio $RPM_BUILD_ROOT%{_bindir}/%{name}.bin
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 644 scorpio.ini $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m 644 logos/* $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/x%{name}
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/man6/
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/%{name}/
bzip2 -d $RPM_BUILD_ROOT%{_datadir}/%{name}/book.dat.bz2

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_mandir}/man6/%{name}.6* 
%doc *.txt
%{_bindir}/*%{name}*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*


%changelog
* Sat Jan 08 2010 AxelKoellhofer@web.de
- initial package, version 2.3
